export declare class Drawer {
    map?: HTMLGlMapElement;
    content: string;
    drawerTitle: string;
    mapId: string;
    open: boolean;
    componentDidUpdate(): void;
    toggle(): Promise<void>;
    hostData(): {
        class: {
            'gl-drawer-closed': boolean;
            'gl-drawer-open': boolean;
        };
    };
    render(): any[];
}
